<?php

namespace Drp\IOEngage\Responses;

use Drp\IOEngage\Exceptions\MeetingUpdateFailed;
use Illuminate\Support\Collection;

class MeetingResponse extends Response
{
    /** @var array<string> */
    protected $fields = [
        'Response',
    ];

    /** @var string */
    protected $exception = MeetingUpdateFailed::class;

    public function updates(): Collection
    {
        return collect($this->Response);
    }
}
