<?php

namespace Drp\IOEngage\Transformers;

class EventDelegateTransformer
{
    public static function transform(array $event, array ...$delegates): array
    {
        return collect($delegates)
            ->each(function ($delegate) use ($event): array {
                return array_merge($event, $delegate);
            })->toArray();
    }
}
